<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->timestamp('rcic_email_verified_at')->nullable()->after('email_verified_at');
            $table->string('rcic_email')->nullable()->after('rcic_email_verified_at');
            $table->string('rcic_email_verification_token')->nullable()->after('rcic_email');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['rcic_email_verified_at', 'rcic_email', 'rcic_email_verification_token']);
        });
    }
};
